%define upstream_name    Business-ISBN-Data
%define upstream_version 20210112.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Data pack for Business::ISBN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Business/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::More) >= 1.0.0
BuildArch:  noarch

%description
You don't need to load this module yourself in most cases.
Business::ISBN will load it when it loads.

These data are generated from the RangeMessage.xml file provided by the
ISBN Agency. You can retrieve this yourself at
https://www.isbn-international.org/range_file_generation. This file is
included as part of the distribution and should be installed at
~lib/Business/ISBN/Data/RangeMessage.xml.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 20210112.6.0-2.mga9
+ Revision: 1813882
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 20210112.6.0-1.mga9
+ Revision: 1690199
- update to 20210112.006

* Tue Feb 18 2020 umeabot <umeabot> 20191107.0.0-2.mga8
+ Revision: 1539665
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Dec 12 2019 tv <tv> 20191107.0.0-1.mga8
+ Revision: 1466002
- update to 20191107

* Wed Sep 19 2018 umeabot <umeabot> 20140910.3.0-3.mga7
+ Revision: 1265820
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 20140910.3.0-2.mga6
+ Revision: 1022813
- Rebuild for perl 5.22.2

* Mon May 02 2016 jquelin <jquelin> 20140910.3.0-1.mga6
+ Revision: 1008772
- tightening spec file (magpie fix ftw)
- imported package perl-Business-ISBN-Data


* Mon May 2 2016 cpan2dist 20140910.003-1mga
- initial mageia release, generated by hand
